Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 9124)
@@ -20,5 +20,4 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! MPP library
-   USE timing          ! Timing
    
    IMPLICIT NONE
@@ -67,6 +66,4 @@
       !!-------------------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('usr_def_hgr')
-      !
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'usr_def_hgr : LOCK_EXCHANGE configuration bassin'
@@ -107,6 +104,4 @@
       pff_t(:,:) = 0._wp
       !
-      IF( nn_timing == 1 )  CALL timing_stop('usr_def_hgr')
-      !
    END SUBROUTINE usr_def_hgr
 
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 9124)
@@ -20,5 +20,4 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! MPP library
-   USE timing          ! Timing
    
    IMPLICIT NONE
@@ -67,6 +66,4 @@
       !!-------------------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('usr_def_hgr')
-      !
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'usr_def_hgr : OVERFLOW configuration bassin'
@@ -107,6 +104,4 @@
       pff_t(:,:) = 0._wp
       !
-      IF( nn_timing == 1 )  CALL timing_stop('usr_def_hgr')
-      !
    END SUBROUTINE usr_def_hgr
 
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_hgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_hgr.F90	(revision 9124)
@@ -20,5 +20,4 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! MPP library
-   USE timing          ! Timing
    
    IMPLICIT NONE
@@ -29,5 +28,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id:$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -68,6 +67,4 @@
       REAL(wp) ::   ztj, zuj, zvj, zfj   !   -      -
       !!-------------------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('usr_def_hgr')
       !
       IF(lwp) WRITE(numout,*)
@@ -152,7 +149,5 @@
       pff_t(:,:) = 0._wp
       !
-      IF( nn_timing == 1 )  CALL timing_stop('usr_def_hgr')
-      !
-      END SUBROUTINE usr_def_hgr
+   END SUBROUTINE usr_def_hgr
 
    !!======================================================================
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_zgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_zgr.F90	(revision 9124)
@@ -20,6 +20,4 @@
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE lib_mpp        ! distributed memory computing library
-   USE wrk_nemo       ! Memory allocation
-   USE timing         ! Timing
 
    IMPLICIT NONE
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/MY_SRC/usrdef_hgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/MY_SRC/usrdef_hgr.F90	(revision 9124)
@@ -20,5 +20,4 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! MPP library
-   USE timing          ! Timing
    
    IMPLICIT NONE
@@ -66,6 +65,4 @@
       REAL(wp) ::   zti, zui, ztj, zvj   ! local scalars
       !!-------------------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('usr_def_hgr')
       !
       IF(lwp) WRITE(numout,*)
@@ -129,7 +126,5 @@
       pff_t(:,:) = zf0 + zbeta * pphit(:,:) * 1.e+3
       !
-      IF( nn_timing == 1 )  CALL timing_stop('usr_def_hgr')
-      !
-      END SUBROUTINE usr_def_hgr
+   END SUBROUTINE usr_def_hgr
 
    !!======================================================================
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/MY_SRC/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/MY_SRC/usrdef_zgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/MY_SRC/usrdef_zgr.F90	(revision 9124)
@@ -24,5 +24,4 @@
    USE lib_mpp        ! distributed memory computing library
    USE wrk_nemo       ! Memory allocation
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -131,6 +130,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('zgr_z')
-      !
       zd = 5000._wp/FLOAT(jpkm1)
       !
@@ -168,6 +165,4 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('zgr_z')
-      !
    END SUBROUTINE zgr_z
 
@@ -226,6 +221,4 @@
       INTEGER  ::   jk
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('zgr_zco')
       !
       DO jk = 1, jpk
@@ -241,6 +234,4 @@
       END DO
       !
-      IF( nn_timing == 1 )  CALL timing_stop('zgr_zco')
-      !
    END SUBROUTINE zgr_zco
 
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/bdyini.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/bdyini.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/bdyini.F90	(revision 9124)
@@ -30,5 +30,4 @@
    USE iom            ! I/O
    USE wrk_nemo       ! Memory Allocation
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -46,4 +45,5 @@
    INTEGER, DIMENSION(jp_nseg) ::   jpjnob, jpindt, jpinft, npckgn   !
    INTEGER, DIMENSION(jp_nseg) ::   jpjsob, jpisdt, jpisft, npckgs   !
+
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.7 , NEMO Consortium (2015)
@@ -75,6 +75,4 @@
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_init')
 
       ! ------------------------
@@ -114,7 +112,6 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_init')
-      !
    END SUBROUTINE bdy_init
+
    
    SUBROUTINE bdy_segs
@@ -159,6 +156,4 @@
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('bdy_segs')
       !
       cgrid = (/'t','u','v'/)
@@ -1325,7 +1320,6 @@
       CALL wrk_dealloc(jpi,jpj,   zfmask ) 
       !
-      IF( nn_timing == 1 )   CALL timing_stop('bdy_segs')
-      !
    END SUBROUTINE bdy_segs
+
 
    SUBROUTINE bdy_ctl_seg
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/domain.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/domain.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/domain.F90	(revision 9124)
@@ -46,5 +46,4 @@
    USE lib_mpp        ! distributed memory computing library
    USE wrk_nemo       ! Memory Allocation
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -82,6 +81,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   z1_hu_0, z1_hv_0
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('dom_init')
       !
       IF(lwp) THEN         ! Ocean domain Parameters (control print)
@@ -198,6 +195,4 @@
       !
       IF( ln_write_cfg )   CALL cfg_write         ! create the configuration file
-      !
-      IF( nn_timing == 1 )   CALL timing_stop('dom_init')
       !
    END SUBROUTINE dom_init
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_hgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_hgr.F90	(revision 9124)
@@ -20,5 +20,4 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! MPP library
-   USE timing          ! Timing
    
    IMPLICIT NONE
@@ -67,6 +66,4 @@
       !!-------------------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('usr_def_hgr')
-      !
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'usr_def_hgr : WAD_TEST_CASES configuration basin'
@@ -107,6 +104,4 @@
       pff_t(:,:) = 0._wp
       !
-      IF( nn_timing == 1 )  CALL timing_stop('usr_def_hgr')
-      !
    END SUBROUTINE usr_def_hgr
 
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_zgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_zgr.F90	(revision 9124)
@@ -25,5 +25,4 @@
    USE lib_mpp        ! distributed memory computing library
    USE wrk_nemo       ! Memory allocation
-   USE timing         ! Timing
 
    IMPLICIT NONE
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90	(revision 9124)
@@ -112,5 +112,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('icealb')
+      IF( ln_timing )   CALL timing_start('icealb')
       !
       z1_href_pnd = 0.05
@@ -173,5 +173,5 @@
       palb_cs(:,:,:) = palb_os(:,:,:) - ( - 0.1010 * palb_os(:,:,:) * palb_os(:,:,:) + 0.1933 * palb_os(:,:,:) - 0.0148 )
       !
-      IF( nn_timing == 1 )   CALL timing_stop('icealb')
+      IF( ln_timing )   CALL timing_stop('icealb')
       !
    END SUBROUTINE ice_alb
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90	(revision 9124)
@@ -57,6 +57,6 @@
       !!----------------------------------------------------------------------
       ! controls
-      IF( nn_timing == 1 )   CALL timing_start('icecor')                                                             ! timing
-      IF( ln_icediachk   )   CALL ice_cons_hsm(0, 'icecor', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
+      IF( ln_timing    )   CALL timing_start('icecor')                                                             ! timing
+      IF( ln_icediachk )   CALL ice_cons_hsm(0, 'icecor', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
       !
       IF( kt == nit000 .AND. lwp .AND. kn == 2 ) THEN
@@ -178,5 +178,5 @@
       IF( ln_ctl         )   CALL ice_prt3D   ('icecor')                                                             ! prints
       IF( ln_icectl .AND. kn == 2 )   CALL ice_prt( kt, iiceprt, jiceprt, 2, ' - Final state - ' )                   ! prints
-      IF( nn_timing == 1 )   CALL timing_stop ('icecor')                                                             ! timing
+      IF( ln_timing      )   CALL timing_stop ('icecor')                                                             ! timing
       !
    END SUBROUTINE ice_cor
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90	(revision 9124)
@@ -72,5 +72,5 @@
       REAL(wp)   ::   zdiff_vol, zdiff_sal, zdiff_tem  
       !!---------------------------------------------------------------------------
-      IF( nn_timing == 1 )   CALL timing_start('ice_dia')
+      IF( ln_timing )   CALL timing_start('ice_dia')
 
       IF( kt == nit000 .AND. lwp ) THEN
@@ -156,5 +156,5 @@
       IF( lrst_ice )   CALL ice_dia_rst( 'WRITE', kt_ice )
       !
-      IF( nn_timing == 1 )   CALL timing_stop('ice_dia')
+      IF( ln_timing )   CALL timing_stop('ice_dia')
       !
    END SUBROUTINE ice_dia
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90	(revision 9124)
@@ -72,5 +72,5 @@
       !!--------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('icedyn')
+      IF( ln_timing )   CALL timing_start('icedyn')
       !
       IF( kt == nit000 .AND. lwp ) THEN
@@ -123,7 +123,8 @@
       END SELECT
       !
-      IF( nn_timing == 1 )   CALL timing_stop('icedyn')
+      IF( ln_timing )   CALL timing_stop('icedyn')
       !
    END SUBROUTINE ice_dyn
+
 
    SUBROUTINE Hbig( phmax )
@@ -171,4 +172,5 @@
    END SUBROUTINE Hbig
 
+
    SUBROUTINE Hpiling
       !!-------------------------------------------------------------------
@@ -221,5 +223,5 @@
       REWIND( numnam_ice_cfg )         ! Namelist namdyn in configuration namelist : Ice dynamics
       READ  ( numnam_ice_cfg, namdyn, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namdyn in configuration namelist', lwp )
       IF(lwm) WRITE ( numoni, namdyn )
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv.F90	(revision 9124)
@@ -70,5 +70,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('icedyn_adv')
+      IF( ln_timing )   CALL timing_start('icedyn_adv')
       !
       IF( kt == nit000 .AND. lwp ) THEN
@@ -112,7 +112,7 @@
 
       ! controls
-      IF( ln_icediachk   )   CALL ice_cons_hsm(1, 'icedyn_adv', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
-      IF( ln_icectl      )   CALL ice_prt     (kt, iiceprt, jiceprt,-1, ' - ice dyn & trp - ')                           ! prints
-      IF( nn_timing == 1 )   CALL timing_stop ('icedyn_adv')                                                             ! timing
+      IF( ln_icediachk )   CALL ice_cons_hsm(1, 'icedyn_adv', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
+      IF( ln_icectl    )   CALL ice_prt     (kt, iiceprt, jiceprt,-1, ' - ice dyn & trp - ')                           ! prints
+      IF( ln_timing    )   CALL timing_stop ('icedyn_adv')                                                             ! timing
       !
    END SUBROUTINE ice_dyn_adv
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_rdgrft.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_rdgrft.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_rdgrft.F90	(revision 9124)
@@ -138,6 +138,6 @@
       !!-------------------------------------------------------------------
       ! controls
-      IF( nn_timing == 1 )   CALL timing_start('icedyn_rdgrft')                                                             ! timing
-      IF( ln_icediachk   )   CALL ice_cons_hsm(0, 'icedyn_rdgrft', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
+      IF( ln_timing    )   CALL timing_start('icedyn_rdgrft')                                                             ! timing
+      IF( ln_icediachk )   CALL ice_cons_hsm(0, 'icedyn_rdgrft', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
 
       IF( kt == nit000 ) THEN
@@ -338,7 +338,7 @@
 
       ! controls
-      IF( ln_icediachk   )   CALL ice_cons_hsm(1, 'icedyn_rdgrft', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
-      IF( ln_ctl         )   CALL ice_prt3D   ('icedyn_rdgrft')                                                             ! prints
-      IF( nn_timing == 1 )   CALL timing_stop ('icedyn_rdgrft')                                                             ! timing
+      IF( ln_icediachk )   CALL ice_cons_hsm(1, 'icedyn_rdgrft', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
+      IF( ln_ctl       )   CALL ice_prt3D   ('icedyn_rdgrft')                                                             ! prints
+      IF( ln_timing    )   CALL timing_stop ('icedyn_rdgrft')                                                             ! timing
       !
    END SUBROUTINE ice_dyn_rdgrft
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_rhg.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_rhg.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_rhg.F90	(revision 9124)
@@ -62,6 +62,6 @@
       !!--------------------------------------------------------------------
       ! controls
-      IF( nn_timing == 1 )   CALL timing_start('icedyn_rhg')                                                             ! timing
-      IF( ln_icediachk   )   CALL ice_cons_hsm(0, 'icedyn_rhg', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
+      IF( ln_timing    )   CALL timing_start('icedyn_rhg')                                                             ! timing
+      IF( ln_icediachk )   CALL ice_cons_hsm(0, 'icedyn_rhg', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
       !
       IF( kt == nit000 .AND. lwp ) THEN
@@ -87,9 +87,10 @@
       !
       ! controls
-      IF( ln_icediachk   )   CALL ice_cons_hsm(1, 'icedyn_rhg', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
-      IF( ln_ctl         )   CALL ice_prt3D   ('icedyn_rhg')                                                             ! prints
-      IF( nn_timing == 1 )   CALL timing_stop ('icedyn_rhg')                                                             ! timing
+      IF( ln_icediachk )   CALL ice_cons_hsm(1, 'icedyn_rhg', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
+      IF( ln_ctl       )   CALL ice_prt3D   ('icedyn_rhg')                                                             ! prints
+      IF( ln_timing    )   CALL timing_stop ('icedyn_rhg')                                                             ! timing
       !
    END SUBROUTINE ice_dyn_rhg
+
 
    SUBROUTINE ice_dyn_rhg_init
@@ -116,5 +117,5 @@
       REWIND( numnam_ice_cfg )         ! Namelist namdyn_rhg in configuration namelist : Ice dynamics
       READ  ( numnam_ice_cfg, namdyn_rhg, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_rhg in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namdyn_rhg in configuration namelist', lwp )
       IF(lwm) WRITE ( numoni, namdyn_rhg )
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90	(revision 9124)
@@ -62,5 +62,5 @@
       !!-------------------------------------------------------------------
 
-      IF( nn_timing == 1 )   CALL timing_start('ice_forcing')
+      IF( ln_timing )   CALL timing_start('ice_forcing')
 
       IF( kt == nit000 .AND. lwp ) THEN
@@ -87,5 +87,5 @@
       ENDIF
 
-      IF( nn_timing == 1 )   CALL timing_stop('ice_forcing')
+      IF( ln_timing )   CALL timing_stop('ice_forcing')
       !
    END SUBROUTINE ice_forcing_tau
@@ -120,5 +120,5 @@
       !!--------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('ice_forcing_flx')
+      IF( ln_timing )   CALL timing_start('ice_forcing_flx')
 
       IF( kt == nit000 .AND. lwp ) THEN
@@ -165,5 +165,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('ice_forcing_flx')
+      IF( ln_timing )   CALL timing_stop('ice_forcing_flx')
       !
    END SUBROUTINE ice_forcing_flx
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 9124)
@@ -102,5 +102,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('ice_stp')
+      IF( ln_timing )   CALL timing_start('ice_stp')
       !
       !                                      !-----------------------!
@@ -201,5 +201,5 @@
 !!gm   remark, the ocean-ice stress is not saved in ice diag call above .....  find a solution!!!
       !
-      IF( nn_timing == 1 )   CALL timing_stop('ice_stp')
+      IF( ln_timing )   CALL timing_stop('ice_stp')
       !
    END SUBROUTINE ice_stp
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 9124)
@@ -98,6 +98,6 @@
       !!-------------------------------------------------------------------
       ! controls
-      IF( nn_timing == 1 )   CALL timing_start('icethd')                                                             ! timing
-      IF( ln_icediachk   )   CALL ice_cons_hsm(0, 'icethd', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
+      IF( ln_timing    )   CALL timing_start('icethd')                                                             ! timing
+      IF( ln_icediachk )   CALL ice_cons_hsm(0, 'icethd', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
 
       IF( kt == nit000 .AND. lwp ) THEN
@@ -271,12 +271,12 @@
       !                                                    !     & make sure at_i=SUM(a_i) & ato_i=1 where at_i=0
       !                   
-      IF( jpl > 1 )        CALL ice_itd_rem( kt )          ! --- Transport ice between thickness categories --- !
-      !
-      IF( ln_icedO )       CALL ice_thd_do                 ! --- frazil ice growing in leads --- !
+      IF( jpl > 1      )   CALL ice_itd_rem( kt )          ! --- Transport ice between thickness categories --- !
+      !
+      IF( ln_icedO     )   CALL ice_thd_do                 ! --- frazil ice growing in leads --- !
       !
       ! controls
-      IF( ln_icectl      )   CALL ice_prt    (kt, iiceprt, jiceprt, 1, ' - ice thermodyn. - ') ! prints
-      IF( ln_ctl         )   CALL ice_prt3D  ('icethd')                                        ! prints
-      IF( nn_timing == 1 )   CALL timing_stop('icethd')                                        ! timing
+      IF( ln_icectl )   CALL ice_prt    (kt, iiceprt, jiceprt, 1, ' - ice thermodyn. - ') ! prints
+      IF( ln_ctl    )   CALL ice_prt3D  ('icethd')                                        ! prints
+      IF( ln_timing )   CALL timing_stop('icethd')                                        ! timing
       !
    END SUBROUTINE ice_thd 
@@ -568,5 +568,5 @@
       REWIND( numnam_ice_cfg )              ! Namelist namthd in configuration namelist : Ice thermodynamics
       READ  ( numnam_ice_cfg, namthd, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namthd in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namthd in configuration namelist', lwp )
       IF(lwm) WRITE ( numoni, namthd )
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icethd_zdf.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icethd_zdf.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icethd_zdf.F90	(revision 9124)
@@ -56,5 +56,5 @@
       !!              of vertical diffusion
       !!-------------------------------------------------------------------
-   
+      !
       SELECT CASE ( nice_zdf )      ! Choose the vertical heat diffusion solver
       !
@@ -77,5 +77,5 @@
          !
       END SELECT
-      
+      !
    END SUBROUTINE ice_thd_zdf
    
@@ -104,5 +104,5 @@
       REWIND( numnam_ice_cfg )              ! Namelist namthd_zdf in configuration namelist : Ice thermodynamics
       READ  ( numnam_ice_cfg, namthd_zdf, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namthd_zdf in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namthd_zdf in configuration namelist', lwp )
       IF(lwm) WRITE ( numoni, namthd_zdf )
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90	(revision 9124)
@@ -105,5 +105,5 @@
       REAL(wp), DIMENSION(jpi,jpj,jpl) ::   zalb_cs, zalb_os     ! 3D workspace
       !!---------------------------------------------------------------------
-      IF( nn_timing == 1 )  CALL timing_start('ice_update')
+      IF( ln_timing )   CALL timing_start('ice_update')
 
       IF( kt == nit000 .AND. lwp ) THEN
@@ -297,5 +297,5 @@
       IF( ln_icectl                      )   CALL ice_prt       (kt, iiceprt, jiceprt, 3, 'Final state ice_update') ! prints
       IF( ln_ctl                         )   CALL ice_prt3D     ('iceupdate')                                       ! prints
-      IF( nn_timing == 1                 )   CALL timing_stop   ('ice_update')                                      ! timing
+      IF( ln_timing                      )   CALL timing_stop   ('ice_update')                                      ! timing
       !
    END SUBROUTINE ice_update_flx
@@ -334,6 +334,5 @@
       REAL(wp) ::   zat_v, zvtau_ice, zv_t, zrhoco  !   -      -
       !!---------------------------------------------------------------------
-
-      IF( nn_timing == 1 )  CALL timing_start('ice_update_tau')
+      IF( ln_timing )   CALL timing_start('ice_update_tau')
 
       IF( kt == nit000 .AND. lwp ) THEN
@@ -381,5 +380,5 @@
       CALL lbc_lnk_multi( utau, 'U', -1., vtau, 'V', -1. )   ! lateral boundary condition
       !
-      IF( nn_timing == 1 )  CALL timing_stop('ice_update_tau')
+      IF( ln_timing )   CALL timing_stop('ice_update_tau')
       !  
    END SUBROUTINE ice_update_tau
@@ -400,5 +399,5 @@
       IF(lwp) WRITE(numout,*) 'ice_update_init: ???? '
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~~'
-
+      !
       !                                      ! allocate ice_update array
       IF( ice_update_alloc() /= 0 )   CALL ctl_stop( 'STOP', 'ice_update_init : unable to allocate standard arrays' )
@@ -407,4 +406,5 @@
       !
    END SUBROUTINE ice_update_init
+
 
    SUBROUTINE update_rst( cdrw, kt )
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icewri.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icewri.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icewri.F90	(revision 9124)
@@ -58,5 +58,5 @@
       !!-------------------------------------------------------------------
 
-      IF( nn_timing == 1 )   CALL timing_start('icewri')
+      IF( ln_timing )   CALL timing_start('icewri')
 
       !----------------------------------------
@@ -220,5 +220,5 @@
 !!gm  idem for the ocean...  Ask Seb how to get read of ioipsl....
       !
-      IF( nn_timing == 1 )  CALL timing_stop('icewri')
+      IF( ln_timing )  CALL timing_stop('icewri')
       !
    END SUBROUTINE ice_wri
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OFF_SRC/dtadyn.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OFF_SRC/dtadyn.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OFF_SRC/dtadyn.F90	(revision 9124)
@@ -105,14 +105,11 @@
       !!             - interpolates data if needed
       !!----------------------------------------------------------------------
-      !
       USE oce, ONLY:  zhdivtr => ua
       INTEGER, INTENT(in) ::   kt   ! ocean time-step index
       INTEGER             ::   ji, jj, jk
       REAL(wp), POINTER, DIMENSION(:,:)   :: zemp
-      !
-      !!----------------------------------------------------------------------
-      
-      !
-      IF( nn_timing == 1 )  CALL timing_start( 'dta_dyn')
+      !!----------------------------------------------------------------------
+      !
+      IF( ln_timing )   CALL timing_start( 'dta_dyn')
       !
       nsecdyn = nsec_year + nsec1jan000   ! number of seconds between Jan. 1st 00h of nit000 year and the middle of time step
@@ -195,5 +192,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop( 'dta_dyn')
+      IF( ln_timing )   CALL timing_stop( 'dta_dyn')
       !
    END SUBROUTINE dta_dyn
